

function numpad(){	
	
	var twidget = new Widget({
		style: 'margin: 4px; float: left; width: 80px; height: 80px; position: relative; z-index: 1000000;', 
		className: 'draggable cloneable',
		set: 'numpad',
		id: 'Default-Widget-4',
		ontopanel: function(){
			if (activepanel) this.doubleclick = function(){
				pb.openDialog({
					title: '<span style="font-size: 21px;">Widget Properties:</span>',
					content: '\
						<fieldset style="margin-left: 15px; margin-right: 15px;">\
							<legend>Styling</legend>\
							Slider Handle image: <input id="widget_vslider_handle"\
								style="width: 84px;" type="file" /><br><br>\
							Slider Slide image: <input id="widget_vslider_slide"\
								style="width: 84px;" type="file" /><br><br>\
							Slider Background image: <input id="widget_vslider_bg"\
								style="width: 84px;" type="file" /><br><br>\
							Slider Min-Max values: <input id="widget_vslider_minval" size="6" type="text"/>\
								<input id="widget_vslider_maxval" size="6" type="text"/>\
						</fieldset><br>\
					'
				});
			}
		}
	});
	twidget.draggable = true;
	
	twidget.call = function(self){
		if (self.core.scripts[0]){
			var tscript = self.core.scripts[0];
			evalJavascript(tscript, self);
		}
	};
	twidget.hangup = noop;
	twidget.value = '';
	twidget.getValue = function(){
		return $(this.parts[12].element.children[0].children[0]).val();
	}
	twidget.showCall = function(bool){
		if (bool) $(this.parts[48].element).show();
		else $(this.parts[48].element).hide();
	}
	twidget.showHangup = function(bool){
		if (bool) $(this.parts[49].element).show();
		else $(this.parts[49].element).hide();
	}
	
	twidget.funclist = ['call', 'hangup'];

//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'position: absolute; left: 0%; top: 12%; z-index: 1000000; width: 31%; height: 15%; color: white;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">1</div>';
	tpart.responsive = true;
	tpart.moving = noop; tpart.drop = noop;
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + '1'
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);

//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'position: absolute; left: 33%; top: 12%; z-index: 1000000; width: 31%; height: 15%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">2</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + '2'
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);

//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'position: absolute; left: 66%; top: 12%; z-index: 1000000; width: 31%; height: 15%;',
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">3</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + '3'
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);

//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'position: absolute; left: 0%; top: 29%; z-index: 1000000; width: 31%; height: 15%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">4</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + '4'
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);

//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'position: absolute; left: 33%; top: 29%; z-index: 1000000; width: 31%; height: 15%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">5</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + '5'
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);
	
//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'position: absolute; left: 66%; top: 29%; z-index: 1000000; width: 31%; height: 15%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">6</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + '6'
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);
	
//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'position: absolute; left: 0%; top: 46%; z-index: 1000000; width: 31%; height: 15%;',
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">7</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + '7'
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);

//********************************** New Part **********************************	
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'position: absolute; left: 33%; top: 46%; z-index: 1000000; width: 31%; height: 15%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">8</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + '8'
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);

//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'position: absolute; left: 66%; top: 46%; z-index: 1000000; width: 31%; height: 15%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">9</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + '9'
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);

//********************************** New Part **********************************	
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'position: absolute; left: 0%; top: 63%; z-index: 1000000; width: 31%; height: 15%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">*</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + '*'
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);

//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'position: absolute; left: 33%; top: 63%; z-index: 1000000; width: 31%; height: 15%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">0</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + '0'
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);

//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'position: absolute; left: 66%; top: 63%; z-index: 1000000; width: 31%; height: 15%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">#</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + '#'
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);

//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'position: absolute; z-index: 1000000; width: 79%; height: 10%; left: 0%; top: 0%;', 
		className: 'movable item_child numpad2'
	});
	tpart.element.innerHTML = '\
		<div style="width: 100%; height: calc(100% - 1px);" class="item_child">\
			<input id="" type="text" class="" disabled="true" name=""\
				style="width: 100%; height: 100%; background: rgba(0,0,0,0.0);\
				border-radius: 0px; border: 0px solid black; color: #black;">\
		</div>';
	tpart.responsive = true;
	tpart.moving = noop; tpart.drop = noop;
	tpart.init = function(){
		this.ontopanel();
	}
	tpart.click = noop;
	tpart.clickup = tpart.hoverout = noop;
	tpart.resize = function(){
		this.element.children[0].children[0].style.fontSize = ($(this.element).height()*0.68) + 'px';
	};
	tpart.ontopanel = function(){
		var self = this; var intnum = 0;
		var afunc = function(){
			if (self.element &&
			self.element.children[0] &&
			self.element.children[0].children[0]){
				$(self.element.children[0].children[0]).prop('disabled',false);
				$(self.element.children[0].children[0]).change(function(){
					self.widget.value = $(self.widget.parts[12].element.children[0].children[0]).val();
				});
				clearInterval(intnum);
			}
		};
		if (activepanel){
			intnum = setInterval(afunc, 200);
		}
	};
	twidget.addPart(tpart);

//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'position: absolute; z-index: 1000000; width: 15%; height: 10%; right: 3%; top: 0%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">X</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val('');
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);

//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'position: absolute; left: 0%; top: 80%; z-index: 1000000; width: 23%; height: 9%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">.</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + '.'
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);
	
//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'position: absolute; left: 24.5%; top: 80%; z-index: 1000000; width: 23%; height: 9%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">/</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + '/'
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);
	
//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'position: absolute; left: 49.0%; top: 80%; z-index: 1000000; width: 23%; height: 9%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">.com</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + '.com'
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);
	
//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'display: none; position: absolute; left: 0.0%; top: 12%; z-index: 1000000; width: 18%; height: 9%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.value = 'A';
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">A</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + this.value
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);

//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'display: none; position: absolute; left: 19.75%; top: 12%; z-index: 1000000; width: 18%; height: 9%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.value = 'B';
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">B</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + this.value
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);
	
//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'display: none; position: absolute; left: 39.5%; top: 12%; z-index: 1000000; width: 18%; height: 9%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.value = 'C';
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">C</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + this.value
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);
	
//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'display: none; position: absolute; left: 59.25%; top: 12%; z-index: 1000000; width: 18%; height: 9%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.value = 'D';
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">D</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + this.value
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);
	
//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'display: none; position: absolute; left: 79%; top: 12%; z-index: 1000000; width: 18%; height: 9%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.value = 'E';
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">E</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + this.value
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);

//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'display: none; position: absolute; left: 0.0%; top: 23%; z-index: 1000000; width: 18%; height: 9%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.value = 'F';
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">F</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + this.value
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);
	
//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'display: none; position: absolute; left: 19.75%; top: 23%; z-index: 1000000; width: 18%; height: 9%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.value = 'G';
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">G</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + this.value
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);

//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'display: none; position: absolute; left: 39.5%; top: 23%; z-index: 1000000; width: 18%; height: 9%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.value = 'H';
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">H</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + this.value
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);
	
//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'display: none; position: absolute; left: 59.25%; top: 23%; z-index: 1000000; width: 18%; height: 9%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.value = 'I';
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">I</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + this.value
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);
	
//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'display: none; position: absolute; left: 79%; top: 23%; z-index: 1000000; width: 18%; height: 9%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.value = 'J';
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">J</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + this.value
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);

//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'display: none; position: absolute; left: 0%; top: 34%; z-index: 1000000; width: 18%; height: 9%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.value = 'K';
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">K</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + this.value
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);

//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'display: none; position: absolute; left: 19.75%; top: 34%; z-index: 1000000; width: 18%; height: 9%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.value = 'L';
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">L</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + this.value
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);
	
//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'display: none; position: absolute; left: 39.5%; top: 34%; z-index: 1000000; width: 18%; height: 9%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.value = 'M';
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">M</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + this.value
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);
	
//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'display: none; position: absolute; left: 59.25%; top: 34%; z-index: 1000000; width: 18%; height: 9%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.value = 'N';
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">N</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + this.value
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);

//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'display: none; position: absolute; left: 79%; top: 34%; z-index: 1000000; width: 18%; height: 9%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.value = 'O';
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">O</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + this.value
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);

//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'display: none; position: absolute; left: 0%; top: 45%; z-index: 1000000; width: 18%; height: 9%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.value = 'P';
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">P</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + this.value
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);
	
//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'display: none; position: absolute; left: 19.75%; top: 45%; z-index: 1000000; width: 18%; height: 9%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.value = 'Q';
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">Q</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + this.value
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);
	
//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'display: none; position: absolute; left: 39.5%; top: 45%; z-index: 1000000; width: 18%; height: 9%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.value = 'R';
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">R</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + this.value
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);
	
//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'display: none; position: absolute; left: 59.25%; top: 45%; z-index: 1000000; width: 18%; height: 9%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.value = 'S';
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">S</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + this.value
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);
	
//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'display: none; position: absolute; left: 79%; top: 45%; z-index: 1000000; width: 18%; height: 9%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.value = 'T';
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">T</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + this.value
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);

//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'display: none; position: absolute; left: 0%; top: 56%; z-index: 1000000; width: 18%; height: 9%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.value = 'U';
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">U</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + this.value
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);
	
//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'display: none; position: absolute; left: 19.75%; top: 56%; z-index: 1000000; width: 18%; height: 9%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.value = 'V';
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">V</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + this.value
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);
	
//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'display: none; position: absolute; left: 39.5%; top: 56%; z-index: 1000000; width: 18%; height: 9%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.value = 'W';
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">W</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + this.value
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);
	
//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'display: none; position: absolute; left: 59.25%; top: 56%; z-index: 1000000; width: 18%; height: 9%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.value = 'X';
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">X</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + this.value
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);
	
//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'display: none; position: absolute; left: 79%; top: 56%; z-index: 1000000; width: 18%; height: 9%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.value = 'Y';
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">Y</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + this.value
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);
	
//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'display: none; position: absolute; left: 0%; top: 67%; z-index: 1000000; width: 18%; height: 9%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.value = 'Z';
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">Z</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + this.value
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);
	
//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'display: none; position: absolute; left: 19.75%; top: 67%; z-index: 1000000; width: 18%; height: 9%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">@</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + '@'
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);
	
//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'display: none; position: absolute; left: 39.5%; top: 67%; z-index: 1000000; width: 18%; height: 9%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">&</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + '&'
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);
	
//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'display: none; position: absolute; left: 59.25%; top: 67%; z-index: 1000000; width: 18%; height: 9%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">?</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + '?'
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);
	
//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'display: none; position: absolute; left: 79%; top: 67%; z-index: 1000000; width: 18%; height: 9%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.value = ' ';
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;"> </div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		$(this.widget.parts[12].element.children[0].children[0]).val(
			$(this.widget.parts[12].element.children[0].children[0]).val() + this.value
		);
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		var ta = this.widget.parts[12].element.children[0].children[0];
		ta.scrollLeft = ta.scrollWidth;
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);

//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'position: absolute; left: 73.5%; top: 80%; z-index: 1000000; width: 23%; height: 9%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">ABC</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		if (!this.setting) this.setting = 'ABC';
		switch (this.setting){
			default: break;
			case 'ABC': 
				for (var i=0; i<12; i++){
					$(this.widget.parts[i].element).hide();
				}
				for (var i=17; i<17+26; i++){
					switch (i){
						default: break;
						case 17: this.widget.parts[i].value = 'a'; this.widget.parts[i].element.children[0].innerHTML = 'a'; break;
						case 18: this.widget.parts[i].value = 'b'; this.widget.parts[i].element.children[0].innerHTML = 'b'; break;
						case 19: this.widget.parts[i].value = 'c'; this.widget.parts[i].element.children[0].innerHTML = 'c'; break;
						case 20: this.widget.parts[i].value = 'd'; this.widget.parts[i].element.children[0].innerHTML = 'd'; break;
						case 21: this.widget.parts[i].value = 'e'; this.widget.parts[i].element.children[0].innerHTML = 'e'; break;
						case 22: this.widget.parts[i].value = 'f'; this.widget.parts[i].element.children[0].innerHTML = 'f'; break;
						case 23: this.widget.parts[i].value = 'g'; this.widget.parts[i].element.children[0].innerHTML = 'g'; break;
						case 24: this.widget.parts[i].value = 'h'; this.widget.parts[i].element.children[0].innerHTML = 'h'; break;
						case 25: this.widget.parts[i].value = 'i'; this.widget.parts[i].element.children[0].innerHTML = 'i'; break;
						case 26: this.widget.parts[i].value = 'j'; this.widget.parts[i].element.children[0].innerHTML = 'j'; break;
						case 27: this.widget.parts[i].value = 'k'; this.widget.parts[i].element.children[0].innerHTML = 'k'; break;
						case 28: this.widget.parts[i].value = 'l'; this.widget.parts[i].element.children[0].innerHTML = 'l'; break;
						case 29: this.widget.parts[i].value = 'm'; this.widget.parts[i].element.children[0].innerHTML = 'm'; break;
						case 30: this.widget.parts[i].value = 'n'; this.widget.parts[i].element.children[0].innerHTML = 'n'; break;
						case 31: this.widget.parts[i].value = 'o'; this.widget.parts[i].element.children[0].innerHTML = 'o'; break;
						case 32: this.widget.parts[i].value = 'p'; this.widget.parts[i].element.children[0].innerHTML = 'p'; break;
						case 33: this.widget.parts[i].value = 'q'; this.widget.parts[i].element.children[0].innerHTML = 'q'; break;
						case 34: this.widget.parts[i].value = 'r'; this.widget.parts[i].element.children[0].innerHTML = 'r'; break;
						case 35: this.widget.parts[i].value = 's'; this.widget.parts[i].element.children[0].innerHTML = 's'; break;
						case 36: this.widget.parts[i].value = 't'; this.widget.parts[i].element.children[0].innerHTML = 't'; break;
						case 37: this.widget.parts[i].value = 'u'; this.widget.parts[i].element.children[0].innerHTML = 'u'; break;
						case 38: this.widget.parts[i].value = 'v'; this.widget.parts[i].element.children[0].innerHTML = 'v'; break;
						case 39: this.widget.parts[i].value = 'w'; this.widget.parts[i].element.children[0].innerHTML = 'w'; break;
						case 40: this.widget.parts[i].value = 'x'; this.widget.parts[i].element.children[0].innerHTML = 'x'; break;
						case 41: this.widget.parts[i].value = 'y'; this.widget.parts[i].element.children[0].innerHTML = 'y'; break;
						case 42: this.widget.parts[i].value = 'z'; this.widget.parts[i].element.children[0].innerHTML = 'z'; break;
					}
					this.widget.parts[i].element.children[0].innerHTML = 
						this.widget.parts[i].element.children[0].innerHTML.toUpperCase();
					if (this.widget.parts[i].value) 
						this.widget.parts[i].value = this.widget.parts[i].value.toUpperCase();
					$(this.widget.parts[i].element).show();
				}
				for (var i=17+26; i<17+26+4; i++){
					if (i==17+26+3){this.widget.parts[i].value = ' '; this.widget.parts[i].element.children[0].innerHTML = ' ';}
					$(this.widget.parts[i].element).show();
				}
				this.setting = 'abc';
				this.element.children[0].innerHTML = 'abc';
				break;
			case 'abc': 
				for (var i=0; i<12; i++){
					$(this.widget.parts[i].element).hide();
				}
				for (var i=17; i<17+26; i++){
					this.widget.parts[i].element.children[0].innerHTML = 
						this.widget.parts[i].element.children[0].innerHTML.toLowerCase();
					if (this.widget.parts[i].value) 
						this.widget.parts[i].value = this.widget.parts[i].value.toLowerCase();
					$(this.widget.parts[i].element).show();
				}
				for (var i=17+26; i<17+26+4; i++){
					$(this.widget.parts[i].element).show();
				}
				this.setting = '!#$';
				this.element.children[0].innerHTML = '!#$';
				break;
			case '!#$': 
				for (var i=0; i<12; i++){
					$(this.widget.parts[i].element).hide();
				}
				for (var i=17; i<17+26; i++){
					switch (i){
						default: break;
						case 17: this.widget.parts[i].value = '!'; this.widget.parts[i].element.children[0].innerHTML = '!'; break;
						case 18: this.widget.parts[i].value = '#'; this.widget.parts[i].element.children[0].innerHTML = '#'; break;
						case 19: this.widget.parts[i].value = '$'; this.widget.parts[i].element.children[0].innerHTML = '$'; break;
						case 20: this.widget.parts[i].value = '%'; this.widget.parts[i].element.children[0].innerHTML = '%'; break;
						case 21: this.widget.parts[i].value = '^'; this.widget.parts[i].element.children[0].innerHTML = '^'; break;
						case 22: this.widget.parts[i].value = '*'; this.widget.parts[i].element.children[0].innerHTML = '*'; break;
						case 23: this.widget.parts[i].value = '('; this.widget.parts[i].element.children[0].innerHTML = '('; break;
						case 24: this.widget.parts[i].value = ')'; this.widget.parts[i].element.children[0].innerHTML = ')'; break;
						case 25: this.widget.parts[i].value = '-'; this.widget.parts[i].element.children[0].innerHTML = '-'; break;
						case 26: this.widget.parts[i].value = '='; this.widget.parts[i].element.children[0].innerHTML = '='; break;
						case 27: this.widget.parts[i].value = '_'; this.widget.parts[i].element.children[0].innerHTML = '_'; break;
						case 28: this.widget.parts[i].value = '+'; this.widget.parts[i].element.children[0].innerHTML = '+'; break;
						case 29: this.widget.parts[i].value = '{'; this.widget.parts[i].element.children[0].innerHTML = '{'; break;
						case 30: this.widget.parts[i].value = '}'; this.widget.parts[i].element.children[0].innerHTML = '}'; break;
						case 31: this.widget.parts[i].value = '['; this.widget.parts[i].element.children[0].innerHTML = '['; break;
						case 32: this.widget.parts[i].value = ']'; this.widget.parts[i].element.children[0].innerHTML = ']'; break;
						case 33: this.widget.parts[i].value = '\\'; this.widget.parts[i].element.children[0].innerHTML = '\\'; break;
						case 34: this.widget.parts[i].value = ';'; this.widget.parts[i].element.children[0].innerHTML = ';'; break;
						case 35: this.widget.parts[i].value = ':'; this.widget.parts[i].element.children[0].innerHTML = ':'; break;
						case 36: this.widget.parts[i].value = '\''; this.widget.parts[i].element.children[0].innerHTML = '\''; break;
						case 37: this.widget.parts[i].value = '"'; this.widget.parts[i].element.children[0].innerHTML = '"'; break;
						case 38: this.widget.parts[i].value = ','; this.widget.parts[i].element.children[0].innerHTML = ','; break;
						case 39: this.widget.parts[i].value = '<'; this.widget.parts[i].element.children[0].innerHTML = '<'; break;
						case 40: this.widget.parts[i].value = '>'; this.widget.parts[i].element.children[0].innerHTML = '>'; break;
						case 41: this.widget.parts[i].value = '~'; this.widget.parts[i].element.children[0].innerHTML = '~'; break;
						case 42: this.widget.parts[i].value = '|'; this.widget.parts[i].element.children[0].innerHTML = '|'; break;
					}
					$(this.widget.parts[i].element).show();
				}
				for (var i=17+26; i<17+26+4; i++){
					if (i==17+26+3){this.widget.parts[i].value = '`'; this.widget.parts[i].element.children[0].innerHTML = '`';}
					$(this.widget.parts[i].element).show();
				}
				this.setting = '123';
				this.element.children[0].innerHTML = '123';
				break;
			case '123': 
				for (var i=0; i<12; i++){
					$(this.widget.parts[i].element).show();
				}
				for (var i=17; i<17+26; i++){
					$(this.widget.parts[i].element).hide();
				}
				for (var i=17+26; i<17+26+4; i++){
					$(this.widget.parts[i].element).hide();
				}
				this.setting = 'ABC';
				this.element.children[0].innerHTML = 'ABC';
				break;
		}
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);

//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'position: absolute; left: 0%; top: 91%; z-index: 1000000; width: 47.5%; height: 9%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">Call</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		$(this.element).removeClass('numpad2');
		/*this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		if (this.widget.core.scripts[0]){
			var tscript = this.widget.core.scripts[0];
			evalJavascript(tscript, this.widget);
		}*/
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		$(this.element).removeClass('numpad2');
		this.widget.call(this.widget);
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);
	
//********************************** New Part **********************************
	var tpart = new WidgetPart({
		widget: twidget, 
		style: 'position: absolute; left: 49%; top: 91%; z-index: 1000000; width: 47.5%; height: 9%;', 
		className: 'movable item_child numpad1 unselectable'
	});
	tpart.element.innerHTML = '<div style="position: absolute;\
		width: 100%; top: 25%; text-align: center; pointer-events: none;">Hangup</div>';
	tpart.click = function(){
		$(this.element).addClass('numpad2');
	}
	tpart.clickup = function(){
		/*$(this.element).removeClass('numpad2');
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		if (this.widget.core.scripts[1]){
			var tscript = this.widget.core.scripts[1];
			evalJavascript(tscript, this.widget);
		}*/
		this.widget.value = $(this.widget.parts[12].element.children[0].children[0]).val();
		$(this.element).removeClass('numpad2');
		this.widget.hangup(this.widget);
	};
	tpart.hoverout = function(){
		$(this.element).removeClass('numpad2');
	};
	tpart.resize = function(){
		this.element.style.fontSize = ($(this.element).height()*0.50) + 'px';
	};
	twidget.addPart(tpart);
	
//*********************************** Return ***********************************
	twidget.resize();
	for (var k=0; k<twidget.parts.length; k++){
		if (twidget.parts[k].resize) twidget.parts[k].resize();
	}
	
	return twidget;
}